package DocBook::Html::Bookinfo;

# Processes DocBook bookinfo elements: bookinfo, pubdate.

# $Id: Bookinfo.pm,v 1.2 2005/07/10 11:31:45 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   #our @EXPORT = qw()
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{bookinfo} = \&bookinfo;
   $dispatchTable{pubdate} = \&pubdate;
};


sub bookinfo ($)
{
   my ($node) = @_;
   my ($result);
   
   $result = '';

   $result .= processChildren($node);

   return $result;
}


sub pubdate ($)
{
   my ($node) = @_;
   my ($result);
   
   $result = '';

   $result .= processChildren($node);

   return $result;
}


return 1;
