package DocBook::Rtf::Qandaset;

# Processes DocBook qandaset elements: qandaset, qandadiv, qandaentry, 
# question, answer.

# $Id: Qandaset.pm,v 1.1 2005/07/10 11:26:42 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   #our @EXPORT = qw()
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{qandaset} = \&qandaset;
   $dispatchTable{qandadiv} = \&qandadiv;
   $dispatchTable{qandaentry} = \&qandaentry;
   $dispatchTable{question} = \&question;
   $dispatchTable{answer} = \&answer;
};


sub qandaset ($)
{
   my ($node) = @_;
   my ($result);
   
   $result = processChildren($node);

   return $result;
}


sub qandadiv ($)
{
   my ($node) = @_;
   my ($result);
   
   $result = processChildren($node);

   return $result;
}


sub qandaentry ($)
{
   my ($node) = @_;
   my ($result);
   
   $result = processChildren($node);

   return $result;
}


sub question ($)
{
   my ($node) = @_;
   my ($result);
   
   $result = processChildren($node);

   return $result;
}


sub answer ($)
{
   my ($node) = @_;
   my ($result);
   
   $result = processChildren($node);

   return $result;
}


return 1;
