package Extensions::Html::Html;

# Processes embedded html: html. Note that html content must be bracked with
# <![CDATA[ ...... ]]> so it is not parsed!

# $Id: Layout.pm,v 1.2 2005/07/10 11:32:07 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   # our @EXPORT_OK = qw()
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{html} = \&html;
};


# sub html:

sub html ($)
{
   my ($node) = @_;
   my ($html);
   
   $html = "<!-- embedded html -->\n";
   $html .= processChildren($node);
   $html .= "<!-- end embedded html -->\n";

   return $html;
}

return 1;
