package Extensions::Html::Main;

# $Id: Main.pm,v 1.2 2005/07/10 11:32:07 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   our @EXPORT_OK = qw($preamble);
}

use LME::XmlNode;
use Publish qw(%dispatchTable @tagStack $result);
use Extensions::Html::Html;
use Extensions::Html::Graphics;
use Extensions::Html::Layout;
use Extensions::Html::Division;
use Extensions::Html::Math;
use Extensions::Html::Exec;


sub initialize ()
{
   Extensions::Html::Html::initialize();
   Extensions::Html::Graphics::initialize();
   Extensions::Html::Layout::initialize();
   Extensions::Html::Division::initialize();
   Extensions::Html::Math::initialize();
   Extensions::Html::Exec::initialize();
};


sub finalize ()
{
   # no action
}


return 1;
