package Extensions::Latex::Main;

# $Id: Main.pm,v 1.2 2005/07/10 11:32:07 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   our @EXPORT_OK = qw($preamble);
}

use LME::XmlNode;
use Publish qw(%dispatchTable @tagStack $result);
use Extensions::Latex::Graphics;
use Extensions::Latex::Layout;
use Extensions::Latex::Math;
use Extensions::Latex::Exec;


sub initialize ()
{
   Extensions::Latex::Graphics::initialize();
   Extensions::Latex::Layout::initialize();
   Extensions::Latex::Math::initialize();
   Extensions::Latex::Exec::initialize();
};


sub finalize ()
{
   # no action
}


return 1;
